{% extends "base.html" %}
{% load static %}
{% load crispy_forms_tags %}
{% load rules %}
{% load organizacao_tags %}
{% load vstatic %}
{% has_perm 'admin_geral' user as admin_geral %}
{% block content %}
    {% if object.is_reviewer %}
        <div class="row">
            <div class="col-md-12 alert alert-info">
                <h3>Situação das comunidades revisadas:</h3>
                {% if object.territorios_revisora_stats.items %}
                    {% for id, stat in object.territorios_revisora_stats.items %}
                        <dt>
                            {{ stat.label }}:
                        </dt>
                        <dd>
                            {{ stat.count }}
                        </dd>
                    {% endfor %}
                {% else %}
                    Esta/e usuária/o não está revisando nenhuma
                    comunidade.
                {% endif %}
            </div>
        </div>
    {% endif %}
    {% if object.solicitou_codigo and admin_geral %}
        <div class="row mt-4">
            <div class="col-md-12">
                <h4 class="alert alert-warning">
                    <i class="fa fa-exclamation-circle mr-2"></i> Esta(e) usuária(o) solicita o seu código de segurança. O pedido ocorreu em {{ object.ultima_alteracao }}.
                </h4>
                {% if object.foto_documento %}
                    <h3>Foto do documento</h3>
                    <div class="col-md-55 anexo_container">
                        <div class="thumbnail">
                            <div class="image view view-first">
                                <a href="{{ object.foto_documento.url }}" target="_blank">
                                    <img alt="foto do documento" src="{{ object.foto_documento.url }}" />
                                </a>
                            </div>
                        </div>
                    </div>
                {% endif %}
            </div>
        </div>
    {% endif %}
    <div class="row">
        <div class="col-md-12 mt-5">
            <h3 class="mb-5">
                {{ titulo }}
                <a href="{% prefix_url_organizacao %}{% url 'usuaria_list' %}"
                   style="float: right"
                   class="btn btn-primary btn-sm">
                    <i class="fa fa-arrow-left mr-1"></i> Voltar
                </a>
                {% if object.id and admin_geral %}
                    <a href="{% url 'usuaria_municipios' object.id %}"
                       style="float: right"
                       class="btn btn-warning btn-sm">Associar a municípios para revisão automática</a>
                    <a href="{% url 'TerritorioAgregadoIndex' %}?usuaria={{ object.id }}"
                       style="float: right"
                       class="btn btn-warning btn-sm">
                        {% if organizacao_id %}
                            Gerenciar comunidades a revisar
                        {% else %}
                            Gerenciar participação em organizações e comunidades a revisar
                        {% endif %}
                    </a>
                {% endif %}
            </h3>
            {% crispy form %}
        </div>
    </div>
{% endblock content %}
{% block includes_footer %}
    <script>
        {% if not organizacao_id %}
            function perfil_clean_values() {
                $('#id_is_superuser').val('');
                $('#id_is_admin').val('');
                $('#id_is_reviewer').val('');
                $('#id_is_parceira').val('');
            }

            function perfil_set_initial() {
                if ($('#id_is_reviewer').val() == 'True') {
                    $('#id_perfil_2').prop("checked", true);
                } else if ($('#id_is_admin').val() == 'True') {
                    $('#id_perfil_4').prop("checked", true);
                } else if ($('#id_is_parceira').val() == 'True') {
                    $('#id_perfil_3').prop("checked", true);
                } else {
                    $('#id_perfil_1').prop("checked", true);
                }
            }

            perfil_set_initial();

            $('#div_id_perfil input').click(function(){
                perfil_clean_values();
                var option = $(this).val();
                if (! option) {
                    return;
                }
                $('#id_' + option).val('true');
            });
        {% endif %}
        $('#div_id_password').hide();
    </script>
    {% if object.is_superuser %}
        <script>
            $("#div_id_perfil div").html('<div class="alert alert-info">Esta(e) usuária(o) é administrador(a) geral do sistema (superadmin).<br />Só é possível transformar um(a) usuária(o) em superadmin ou retirar esta atribuição através da interface administrativa.');
        </script>
    {% elif object.is_admin %}
        <script>
            $("#div_id_perfil div").html('<div class="alert alert-info">Esta(e) usuária(o) é administrador(a).<br /> Só administradoras(es) gerais do sistema (superadmins) podem alterar seu perfil.</div>');
        </script>
    {% endif %}
{% endblock includes_footer %}
